# Uses of Class
org.apache.zookeeper.data.StatPersisted

Packages that use StatPersisted
Package
Description
org.apache.zookeeper.data
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of StatPersisted in org.apache.zookeeper.data

Methods in org.apache.zookeeper.data with parameters of type StatPersisted
Modifier and Type
Method
Description
`void`
StatPersisted.`copyFrom(StatPersisted from)`

## Uses of StatPersisted in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as StatPersisted
Modifier and Type
Field
Description
`StatPersisted`
DataNode.`stat`
the stat for this node that is persisted to disk.
Methods in org.apache.zookeeper.server that return StatPersisted
Modifier and Type
Method
Description
`static StatPersisted`
DataTree.`createStat(long zxid, long time, long ephemeralOwner)`
Create a node stat from the given params.
Methods in org.apache.zookeeper.server with parameters of type StatPersisted
Modifier and Type
Method
Description
`static void`
DataTree.`copyStatPersisted(StatPersisted from, StatPersisted to)`
Deprecated.
Constructors in org.apache.zookeeper.server with parameters of type StatPersisted
Modifier
Constructor
Description
``
`DataNode(byte[] data, Long acl, StatPersisted stat)`
create a DataNode with parent, data, acls and stat